Read all past orders

This endpoint allows you to retrieves a list of subscription orders for all the subscriptions.

Token scope - Read orders

Rate limit - 2 requests per 3 seconds

Response ordering and filtering

The response is ordered based on the filter applied:

  • No query parameter: Results are ordered by updatedAt DESC, id DESC.
  • Filter based on updatedAt: Results are ordered by updatedAt DESC, id DESC.
  • Filter based on shopifyCreatedAt: Results are ordered by shopify_created_at DESC, id DESC.
  • Filter based on billingDate: Results are ordered by billing_date DESC, id DESC.

The id DESC ordering is used as a secondary sort to ensure consistent ordering when multiple orders have the same date value.

Query Params
int32

Start date epoch for filter based on order shopifyCreatedAt date.

int32

End date epoch for filter based on order shopifyCreatedAt date.

string

The cursor returned in the previous response. Use the nextCursor value from that response to fetch the next page of results.

int32

The number of records to return per page.

int32

Start date epoch for filtering based on the order's billingDate

int32

End date epoch for filtering based on the order's billingDate

string

Filter based on the order's updatedAt value.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json